Bug 1190726 - (CVE-2020-20899) VUL-0: CVE-2020-20899: ffmpeg: Buffer Overflow vulnerability in function config_props in libavfilter/vf_bwdif.c
(CVE-2020-20899)
VUL-0: CVE-2020-20899: ffmpeg: Buffer Overflow vulnerability in function conf...
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P3 - Medium : Normal
: ---
Assigned To: Security Team bot
Security Team bot
https://smash.suse.de/issue/310562/
CVSSv3.1:SUSE:CVE-2020-20899:6.5:(AV:...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2021-09-21 14:01 UTC by Alexander Bergmann
Modified: 2022-04-29 08:02 UTC (History)
6 users (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Bergmann 2021-09-21 14:01:45 UTC
CVE-2020-20899

Buffer Overflow vulnerability in function config_props in libavfilter/vf_bwdif.c
in Ffmpeg 4.2.1, allows attackers to cause a Denial of Service or other
unspecified impacts.

References:
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2020-20899
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-20899
https://trac.ffmpeg.org/ticket/8261
http://git.videolan.org/?p=ffmpeg.git;a=commit;h=8c3166e1c302c3ba80d9742ae46161c0fa8e2606
Comment 3 Swamp Workflow Management 2021-10-26 19:26:12 UTC
SUSE-SU-2021:3521-1: An update that fixes 12 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1186756,1187852,1189166,1190718,1190719,1190722,1190723,1190726,1190729,1190733,1190734,1190735
CVE References: CVE-2020-20891,CVE-2020-20892,CVE-2020-20895,CVE-2020-20896,CVE-2020-20899,CVE-2020-20902,CVE-2020-22037,CVE-2020-35965,CVE-2021-3566,CVE-2021-38092,CVE-2021-38093,CVE-2021-38094
JIRA References: 
Sources used:
SUSE Linux Enterprise Workstation Extension 15-SP3 (src):    ffmpeg-3.4.2-11.17.1
SUSE Linux Enterprise Workstation Extension 15-SP2 (src):    ffmpeg-3.4.2-11.17.1
SUSE Linux Enterprise Module for Packagehub Subpackages 15-SP3 (src):    ffmpeg-3.4.2-11.17.1
SUSE Linux Enterprise Module for Packagehub Subpackages 15-SP2 (src):    ffmpeg-3.4.2-11.17.1
SUSE Linux Enterprise Module for Desktop Applications 15-SP3 (src):    ffmpeg-3.4.2-11.17.1
SUSE Linux Enterprise Module for Desktop Applications 15-SP2 (src):    ffmpeg-3.4.2-11.17.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 4 Swamp Workflow Management 2021-10-26 19:34:25 UTC
openSUSE-SU-2021:3521-1: An update that fixes 12 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1186756,1187852,1189166,1190718,1190719,1190722,1190723,1190726,1190729,1190733,1190734,1190735
CVE References: CVE-2020-20891,CVE-2020-20892,CVE-2020-20895,CVE-2020-20896,CVE-2020-20899,CVE-2020-20902,CVE-2020-22037,CVE-2020-35965,CVE-2021-3566,CVE-2021-38092,CVE-2021-38093,CVE-2021-38094
JIRA References: 
Sources used:
openSUSE Leap 15.3 (src):    ffmpeg-3.4.2-11.17.1
Comment 7 Gabriele Sonnu 2022-04-29 08:02:40 UTC
Done.